﻿using HeuristicLab.Core;
using HeuristicLab.Core.Networks;

namespace HeuristicLab.Networks.IntegratedOptimization {
  public static class Utils {
    public static bool TranslateMessage<T>(IMessage message, out T expectedMessage) where T : class, IMessage {
      expectedMessage = message as T;
      return expectedMessage != null;
    }

    public static IMessageValue<T> CreateMessageValue<T>(string name, T value) where T : class, IItem {
      return new MessageValue<T>(name, value);
    }
  }
}
